| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
System

# Method System.dumpable()

Method dumpable

  `int(0..1) dumpable(int(0..1)|void val)`

Description

  Get and/or set whether this process should be able to dump core.

Parameter `val`

  Optional argument to set the core dumping state.

  `0` | Disable core dumping for this process.
  `1` | Enable core dumping for this process.

Returns

  Returns `1` if this process currently is capable of dumping core, and `0` (zero) if not.

Note

  This function is currently only available on some versions of Linux.